$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.23.44-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.23.44-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'D61FA7EA6E14868383FD1AF6E22EC5936F797EADBCBE5758CF04E31E09E9F744'
  checksumType = 'sha256'
  checksum64 = 'D61FA7EA6E14868383FD1AF6E22EC5936F797EADBCBE5758CF04E31E09E9F744'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.23.44-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
